Katello - Bug #6442

Web Ul does not offer me the option to clone an existing Content View
06/30/2014 10:23 AM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1090643 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1090643

Description of problem:

Seems that we no longer expose a "Clone" option for Content Views from the web Ul. This was something that existed in the
previous releases so | feel that we should not exclude it from the Beta.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.19-1.el6sat.noarch
foreman-compute-1.5.0.19-1.el6sat.noarch
foreman-libvirt-1.5.0.19-1.el6sat.noarch
foreman-postgresql-1.5.0.19-1.el6sat.noarch
foreman-proxy-1.5.6-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.34-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-7.el6sat.noarch

How reproducible:

05/18/2024

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-16.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1090643

Steps to Reproduce:

1. Create a new content view

2.

3.

Actual results:

There's no option in the Ul to clone the content view

Expected results:

Additional info:

Associated revisions

Revision d574242e - 07/01/2014 09:58 AM - Brad Buckingham
fixes #6442 / BZ 1090643 - content view - add support for content view copy/clone

This commit contains the changes to support creating a new content view
as a copy of an existing view. This is to bring back functionality that was
lost during the content view rework. The copy operation will only copy
the 'structure' of the content view (e.g. repos, filters, puppet modules,
details) and it will not copy the published views, history or tasks.

Revision f967c418 - 07/01/2014 09:58 AM - Brad Buckingham

fixes #6442 / BZ 1090643 - content view - add support for content view copy/clone
This commit contains the changes to support creating a new content view

as a copy of an existing view. This is to bring back functionality that was

lost during the content view rework. The copy operation will only copy

the 'structure' of the content view (e.g. repos, filters, puppet modules,
details) and it will not copy the published views, history or tasks.

Revision 76b7bfcf - 07/02/2014 09:22 AM - Brad Buckingham

Merge pull request #4371 from bbuckingham/issue-6442

fixes #6442 / BZ 1090643 - content view - add support for content view copy/clone
Revision 96a04572 - 07/02/2014 09:22 AM - Brad Buckingham

Merge pull request #4371 from bbuckingham/issue-6442

fixes #6442 / BZ 1090643 - content view - add support for content view copy/clone

History

#1 - 06/30/2014 10:24 AM - Brad Buckingham
- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged changed from No to Yes

#2 - 07/02/2014 10:01 AM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|d574242e6896ab2f9f8ea552ae7ef8fc08a5bfc3.
https://projects.theforeman.org/projects/katello/repository/katello/revisions/d574242e6896ab2f9f8ea552ae7ef8fc08a5bfc3
